Update Business Offer Metafield
API operation: Open the endpoint in Scalar
Use PUT /business/{business_id}/offers/{offer_id}/metafields/{metafield_id} to update a metafield on a business offer. The operation documented here is OfferMetafield.update.
The documented schema requires administrator or business-manager authentication. For business-manager access, verify that the metafield belongs to the specified offer and business.
See List business offer metafields and Extra attributes (Metafields).
OpenAPI reference
Operation: PUT /business/{business_id}/offers/{offer_id}/metafields/{metafield_id}
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
business_id | integer | Yes | — |
offer_id | integer | Yes | — |
metafield_id | integer | Yes | — |
Request body fields
| Name | Type | Required |
|---|---|---|
key | string | No |
model | any | Yes |
object_id | integer | No |
value | any | No |
value_type | string | No |
Responses
| Code | Description |
|---|---|
| 200 | OK (Envelope) |
| 400 | Bad Request (ErrorResponse) |
| 401 | Unauthorized |
| 404 | Not Found |
| 429 | Too Many Requests (ErrorResponse) |
| 500 | Internal Server Error (ErrorResponse) |
| 503 | Service Unavailable (ErrorResponse) |